<?php

declare(strict_types=1);

namespace App\Tests\Integration\Service\Remote;

use App\Service\Remote\BriloApiUsers;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

class BlogApiUsersTest extends KernelTestCase
{
    public function setUp(): void
    {
        parent::bootKernel();
    }

    public function testBlogApiUsersAreRetrieved(): void
    {
        /**
         * @var BriloApiUsers $apiUsers
         */
        $apiUsers = static::getContainer()->get(BriloApiUsers::class);
        $users = $apiUsers->getUsers();
        $this->assertIsArray($users);
        $this->assertGreaterThan(0, count($users));
        // Tady bych dal jeste check na zaznam ktery vim ze vzdy existuje
    }
}
