<?php

declare(strict_types=1);

namespace App\Tests\Integration\Service\Remote;

use App\Service\Remote\BriloApiComments;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

class BriloApiCommentsTest extends KernelTestCase
{
    public function setUp(): void
    {
        parent::bootKernel();
    }

    public function testBlogApiUsersAreRetrieved(): void
    {
        /**
         * @var BriloApiComments $api
         */
        $api = static::getContainer()->get(BriloApiComments::class);
        $users = $api->getComments();
        $this->assertIsArray($users);
        $this->assertGreaterThan(0, count($users));
        // Tady bych dal jeste check na zaznam ktery vim ze vzdy existuje
    }
}
